package com.easyproject.common.enums;

import lombok.Getter;

/**
 * <p>
 * 区块 高度配置枚举类
 */
@Getter
public enum BlockConfigEnum {

    /**
     * ETH 查询高度
     */
    ETH_BLOCK_NUMBER("ETHBlockNumber"),

    /**
     * USDT区块高度
     */
    USDT_BLOCK_NUMBER("USDTBlockNumber"),


    /**
     * TRON 查询高度
     */
    TRON_BLOCK_NUMBER("TRONBlockNumber"),

    /**
     * FIL 查询高度
     */
    FIL_BLOCK_NUMBER("FILBlockNumber"),

    /**
     * BNB 查询高度
     */
    BNB_BLOCK_NUMBER("BNBBlockNumber");

    private String name;

    BlockConfigEnum(String name) {
        this.name = name;
    }
}
